package com.seeyon.apps.qrCodeForm.constant;

import com.seeyon.ctp.common.code.EnumsCode;
import com.seeyon.ctp.common.i18n.ResourceUtil;

public enum SupportTypeEnum implements EnumsCode {
    ALL(0, "全部"),
    FLOW(1, "仅支持流程表单"),
    UNFLOW(2, "仅支持无流程表单");

    private int key;
    private String text;

    private SupportTypeEnum(int key, String text) {
        this.key = key;
        this.text = text;
    }

    public String getValue() {
        return String.valueOf(this.key);
    }

    public int getKey() {
        return this.key;
    }

    public String getText() {
        return ResourceUtil.getString(this.text);
    }

}
